defmodule Chronoscope.Gemini.RequestTest do
  use Chronoscope.Case, async: true

  import Chronoscope.Gemini.Request

  describe "Chronoscope.Gemini.Request.create()" do
    test "builds a request" do
      assert create(%{host: "example.org", port: 9999, path: "/radish"}) == "gemini://example.org:9999/radish\r\n"
    end
  end
end
